# Enum Class AbstractAlignmentMerger.UnmappingReadStrategy

java.lang.Object
java.lang.Enum<AbstractAlignmentMerger.UnmappingReadStrategy>
picard.sam.AbstractAlignmentMerger.UnmappingReadStrategy

All Implemented Interfaces:
  `Serializable, Comparable<AbstractAlignmentMerger.UnmappingReadStrategy>, Constable`

Enclosing class:
  `AbstractAlignmentMerger`

public static enum AbstractAlignmentMerger.UnmappingReadStrategy extends Enum<AbstractAlignmentMerger.UnmappingReadStrategy>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COPY_TO_TAG`
`DO_NOT_CHANGE`
`DO_NOT_CHANGE_INVALID`
`MOVE_TO_TAG`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isKeepValid()`
`boolean`
`isPopulateOaTag()`
`boolean`
`isResetMappingInformation()`
`static AbstractAlignmentMerger.UnmappingReadStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractAlignmentMerger.UnmappingReadStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COPY_TO_TAG

public static final AbstractAlignmentMerger.UnmappingReadStrategy COPY_TO_TAG

### DO_NOT_CHANGE

public static final AbstractAlignmentMerger.UnmappingReadStrategy DO_NOT_CHANGE

### DO_NOT_CHANGE_INVALID

public static final AbstractAlignmentMerger.UnmappingReadStrategy DO_NOT_CHANGE_INVALID

### MOVE_TO_TAG

public static final AbstractAlignmentMerger.UnmappingReadStrategy MOVE_TO_TAG

## Method Details

### values

public static AbstractAlignmentMerger.UnmappingReadStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractAlignmentMerger.UnmappingReadStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isKeepValid

public boolean isKeepValid()

### isResetMappingInformation

public boolean isResetMappingInformation()

### isPopulateOaTag

public boolean isPopulateOaTag()